<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cardContainer"
    android:layout_width="wrap_content"
    android:layout_height="56dp"
    android:background="@drawable/bg_content_card_large_primary"
    android:paddingStart="12dp"
    android:paddingEnd="12dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/iconIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginTop="11dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginLeft="4dp"
        android:ellipsize="end"
        android:lines="1"
        android:textColor="@color/text_title"
        android:textSize="@dimen/primary_text_size"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/iconIv"
        app:layout_constraintEnd_toStartOf="@+id/redDotTv"
        app:layout_constraintStart_toEndOf="@+id/iconIv"
        app:layout_constraintTop_toTopOf="@+id/iconIv"
        app:layout_goneMarginEnd="12dp"
        tools:text="最新开服最新开服" />

    <TextView
        android:id="@+id/redDotTv"
        android:layout_width="wrap_content"
        android:layout_height="12dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/bg_hint_red_radius_999"
        android:minWidth="12dp"
        android:paddingStart="4dp"
        android:paddingEnd="4dp"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textSize="8sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="32" />

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:lines="1"
        android:textSize="@dimen/tag_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iconIv"
        tools:text="文案内容" />

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/contentVp"
        android:layout_width="0dp"
        android:layout_height="14dp"
        android:layout_marginTop="4dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iconIv" />

</androidx.constraintlayout.widget.ConstraintLayout>